Elly API
  1. Companies
Elly API
  • API Keys
    • Get current API key details
      GET
    • Get current API key usage statistics
      GET
    • List all API keys
      GET
    • Create a new API key
      POST
    • Revoke an API key
      DELETE
  • Transactions
    • List transactions
      GET
    • Create transaction
      POST
    • Get transaction details
      GET
    • Update transaction
      PATCH
    • Delete transaction
      DELETE
    • Bulk update transactions
      POST
  • Bank Accounts
    • List bank accounts
      GET
    • Create bank account
      POST
    • Get bank account details
      GET
    • Update bank account
      PATCH
    • Delete bank account
      DELETE
    • Get bank account transactions
      GET
  • Statements
    • List bank statements
      GET
    • Upload bank statement file
      POST
    • Get statement details
      GET
    • Get statement transactions
      GET
  • Categories
    • List categories
      GET
  • Reports
    • Cash flow report
      GET
    • Financial summary report
      GET
  • Companies
    • Get company details
      GET
  • Schemas
    • TransactionStatus
    • AccountingCategory
    • CashFlowCategory
    • AccountType
    • AccountStatus
    • StatementStatus
    • ApiScope
    • ApiKey
    • Transaction
    • TransactionListResponse
    • TransactionResponse
    • TransactionDetailResponse
    • CreateTransactionRequest
    • UpdateTransactionRequest
    • BulkUpdateRequest
    • BankAccount
    • BankAccountListResponse
    • CreateBankAccountRequest
    • UpdateBankAccountRequest
    • CreateStatementRequest
    • CreateStatementUpload
    • Pagination
    • Error
  1. Companies

Get company details

GET
/api-v1/companies
Companies
Retrieve information about the current company.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or

Responses

🟢200
application/json
Company details
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://gvazyknvkqdeuzmrnuwu.supabase.co/functions/v1/api-v1/companies' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "success": true,
    "data": {
        "id": "aa0j3944-j74g-96i9-f261-991100995555",
        "name": "Mi Empresa",
        "legal_name": "Mi Empresa S.A. de C.V.",
        "tax_id": "MIE123456789",
        "currency_code": "MXN",
        "country": "MX",
        "timezone": "America/Mexico_City",
        "industry": "Technology",
        "website": "https://miempresa.com",
        "phone": "+52 55 1234 5678",
        "email": "contacto@miempresa.com",
        "status": "active",
        "is_active": true,
        "created_at": "2024-01-01T00:00:00Z",
        "updated_at": "2025-01-15T10:00:00Z"
    }
}
Modified at 2025-12-30 00:32:01
Previous
Financial summary report
Next
TransactionStatus
Built with